WPSParser Class Reference documentation

Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
WPSParser Class Referenceabstract

`#include <WPSParser.h>`

Inheritance diagram for WPSParser:

## Public Types
typedef std::multimap< std::string, WPSEntry > | NameMultiMap
| a map to retrieve a file entry by name

## Public Member Functions
| WPSParser (RVNGInputStreamPtr &input, WPSHeaderPtr &header)
virtual | ~WPSParser ()
virtual void | parse (librevenge::RVNGTextInterface *documentInterface)=0

## Protected Member Functions
RVNGInputStreamPtr & | getInput ()
RVNGInputStreamPtr | getFileInput ()
WPSHeaderPtr & | getHeader ()
int | version () const
void | setVersion (int vers)
libwps::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document
NameMultiMap & | getNameEntryMap ()
NameMultiMap const & | getNameEntryMap () const

## Private Member Functions
| WPSParser (const WPSParser &)=delete
WPSParser & | operator= (const WPSParser &)=delete

## Private Attributes
RVNGInputStreamPtr | m_input
WPSHeaderPtr | m_header
int | m_version
libwps::DebugFile | m_asciiFile
| the debug file
NameMultiMap | m_nameMultiMap
| a map to retrieve a file entry by name

## Friends
class | WPSTextParser

## Member Typedef Documentation

## ◆ NameMultiMap

typedef std::multimap<std::string, WPSEntry> WPSParser::NameMultiMap

a map to retrieve a file entry by name

## Constructor & Destructor Documentation

## ◆ WPSParser() [1/2]

WPSParser::WPSParser | ( | RVNGInputStreamPtr & | input,
|  | WPSHeaderPtr & | header )

Referenced by MSWriteParser::MSWriteParser(), operator=(), PocketWordParser::PocketWordParser(), WPS4Parser::WPS4Parser(), WPS8Parser::WPS8Parser(), WPSParser(), and XYWriteParser::XYWriteParser().

## ◆ ~WPSParser()

WPSParser::~WPSParser | ( |  | ) |
| virtual

## ◆ WPSParser() [2/2]

WPSParser::WPSParser | ( | const WPSParser & |  | ) |
| explicitprivatedelete

## Member Function Documentation

## ◆ ascii()

libwps::DebugFile & WPSParser::ascii | ( |  | ) |
| inlineprotected

a DebugFile used to write what we recognize when we parse the document

Referenced by PocketWordParser::checkHeader(), PocketWordParser::checkUnparsed(), WPS8Parser::createStructures(), PocketWordParser::createZones(), WPS4Parser::findZones(), PocketWordParser::parse(), WPS4Parser::parse(), WPS8Parser::parse(), XYWriteParser::parse(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), PocketWordParser::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), PocketWordParser::readPageDims(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), PocketWordParser::readParagraphUnkn(), WPS4Parser::readPrnt(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), WPS8Parser::readSYID(), PocketWordParser::readUnkn2021(), PocketWordParser::readUnkn8(), WPS8Parser::readWNPR(), and PocketWordParser::sendParagraph().

## ◆ getFileInput()

RVNGInputStreamPtr WPSParser::getFileInput | ( |  | ) |
| protected

Referenced by WPS4Parser::createOLEStructures(), and WPS8Parser::createOLEStructures().

## ◆ getHeader()

WPSHeaderPtr & WPSParser::getHeader | ( |  | ) |
| inlineprotected

## ◆ getInput()

RVNGInputStreamPtr & WPSParser::getInput | ( |  | ) |
| inlineprotected

Referenced by PocketWordParser::checkFilePosition(), WPS4Parser::checkFilePosition(), XYWriteParser::checkFilePosition(), DosWordParser::checkHeader(), PocketWordParser::checkHeader(), WPS4Parser::checkHeader(), XYWriteParser::checkHeader(), WPS8Parser::checkInFile(), PocketWordParser::checkUnparsed(), WPS4Parser::createDocument(), XYWriteParser::createFormatChildren(), WPS4Parser::createListener(), WPS8Parser::createListener(), XYWriteParser::createListener(), WPS4Parser::createNote(), WPS8Parser::createStructures(), XYWriteParser::createTable(), WPS4Parser::createTextBox(), PocketWordParser::createZones(), XYWriteParser::findAllZones(), WPS4Parser::findZones(), DosWordParser::getFileEncoding(), MSWriteParser::getHeaderFooters(), MSWriteParser::insertNote(), PocketWordParser::parse(), WPS4Parser::parse(), WPS8Parser::parse(), XYWriteParser::parse(), WPS4Parser::parseEntry(), XYWriteParser::parseFormat(), XYWriteParser::parseFrameZone(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), XYWriteParser::parseMetaData(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), MSWriteParser::processDDB(), MSWriteParser::processDIB(), MSWriteParser::processEmbeddedOLE(), MSWriteParser::processObject(), MSWriteParser::processStaticOLE(), MSWriteParser::processWMF(), DosWordParser::readCHP(), MSWriteParser::readCHP(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), MSWriteParser::readFFNTB(), MSWriteParser::readFIB(), DosWordParser::readFNTB(), MSWriteParser::readFOD(), PocketWordParser::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), PocketWordParser::readPageDims(), DosWordParser::readPAP(), MSWriteParser::readPAP(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), PocketWordParser::readParagraphUnkn(), WPS4Parser::readPrnt(), DosWordParser::readSECT(), DosWordParser::readSED(), MSWriteParser::readSED(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), MSWriteParser::readString(), MSWriteParser::readStructures(), DosWordParser::readSUMD(), WPS8Parser::readSYID(), MSWriteParser::readText(), PocketWordParser::readUnkn2021(), PocketWordParser::readUnkn8(), WPS8Parser::readWNPR(), WPS4Parser::send(), WPS8Parser::send(), PocketWordParser::sendData(), WPS8Parser::sendPageFrames(), PocketWordParser::sendParagraph(), WPS8Parser::sendTextBox(), and WPS8Parser::sendTextInCell().

## ◆ getNameEntryMap() [1/2]

NameMultiMap & WPSParser::getNameEntryMap | ( |  | ) |
| inlineprotected

Referenced by WPS4Parser::createStructures(), WPS8Parser::createStructures(), WPS4Parser::findZones(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), and WPS8Parser::parseHeaderIndexEntry().

## ◆ getNameEntryMap() [2/2]

NameMultiMap const & WPSParser::getNameEntryMap | ( |  | ) | const
| inlineprotected

## ◆ operator=()

WPSParser & WPSParser::operator= | ( | const WPSParser & |  | ) |
| privatedelete

## ◆ parse()

virtual void WPSParser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| pure virtual

Implemented in MSWriteParser, PocketWordParser, WPS4Parser, WPS8Parser, and XYWriteParser.

## ◆ setVersion()

void WPSParser::setVersion | ( | int | vers | ) |
| inlineprotected

Referenced by WPS4Parser::findZones(), and WPS8Parser::WPS8Parser().

## ◆ version()

int WPSParser::version | ( |  | ) | const
| inlineprotected

Referenced by WPS4Parser::findZones(), WPS4Parser::getDefaultFontType(), and WPS8Parser::WPS8Parser().

## Friends And Related Symbol Documentation

## ◆ WPSTextParser

friend class WPSTextParser
| friend

Referenced by WPSTextParser.

## Member Data Documentation

## ◆ m_asciiFile

libwps::DebugFile WPSParser::m_asciiFile
| private

the debug file

Referenced by ascii(), and WPSParser().

## ◆ m_header

WPSHeaderPtr WPSParser::m_header
| private

Referenced by getFileInput(), getHeader(), and WPSParser().

## ◆ m_input

RVNGInputStreamPtr WPSParser::m_input
| private

Referenced by getInput(), and WPSParser().

## ◆ m_nameMultiMap

NameMultiMap WPSParser::m_nameMultiMap
| private

a map to retrieve a file entry by name

Referenced by getNameEntryMap(), getNameEntryMap(), and WPSParser().

## ◆ m_version

int WPSParser::m_version
| private

Referenced by setVersion(), version(), and WPSParser().

The documentation for this class was generated from the following files:

- WPSParser.h
- WPSParser.cpp